function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = RANK_q4.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(39, 72);
g1(1,35)=1;
g1(1,39)=1;
g1(2,56)=params(15)*y(44);
g1(2,28)=y(43);
g1(2,30)=y(43)*(-params(19));
g1(2,40)=(-1);
g1(2,41)=(-1);
g1(2,42)=1;
g1(2,43)=y(28)-1-(y(30)-params(3))*params(19);
g1(2,44)=params(15)*y(56);
g1(3,16)=params(23)*y(62)*(-(y(61)*T(11)*(1-params(5))*params(21)*T(12)*getPowerDeriv(y(16),params(5),2)))+params(23)*y(63)*(-(params(22)*y(61)*T(15)*params(5)*params(21)*T(12)*getPowerDeriv(y(16),params(5)-1,2)))+params(23)*y(66)*(-(T(15)*params(21)*y(57)*y(57)*T(44)));
g1(3,54)=params(23)*y(62)*(-(y(61)*T(14)*getPowerDeriv(y(54),(-params(5)),1)))+params(23)*y(63)*(-(params(22)*y(61)*T(17)*T(47)))+params(23)*y(66)*(-(T(20)*T(47)));
g1(3,57)=params(23)*y(62)*(-(y(61)*T(11)*T(13)*(1-params(5))*params(21)*T(50)))+params(23)*y(63)*(-(params(22)*y(61)*T(15)*T(16)*params(5)*params(21)*T(50)))+params(23)*y(66)*(-(T(15)*params(21)*(T(19)+y(57)*y(16)*T(44))));
g1(3,58)=params(23)*y(67)*(-y(60));
g1(3,59)=params(23)*y(67)*(-(1/params(22)-1));
g1(3,60)=params(23)*y(64)*(-params(8))+params(23)*y(65)*(1+T(6)*2*(y(60)-params(3)))+params(23)*y(67)*(-(y(58)-1-T(6)*2*(y(60)-params(3))))+params(23)*y(68)*(-(params(8)*(-(1+T(6)*2*(y(60)-params(3))))));
g1(3,61)=params(23)*y(62)*(-(T(11)*T(14)))+params(23)*y(63)*(-(params(22)*T(15)*T(17)));
g1(3,62)=params(23)*(-(y(61)*T(11)*T(14)));
g1(3,63)=params(23)*(-(params(22)*y(61)*T(15)*T(17)));
g1(3,37)=1;
g1(3,64)=params(23)*(-(1+params(8)*(y(60)-params(3))));
g1(3,65)=params(23)*(y(60)+T(18));
g1(3,66)=params(23)*(-(T(15)*T(20)));
g1(3,67)=params(23)*(-(y(58)*y(60)-y(60)-T(18)+y(59)/params(22)-y(59)));
g1(3,68)=params(23)*(-(params(8)*(-(y(60)+T(18)))));
g1(4,3)=T(22)*y(10)*(-params(8))/(params(8)*y(3)*params(8)*y(3));
g1(4,17)=(-1)/(y(17)*y(17))+y(41)*(-(((-(params(8)*y(17)))-params(8)*(y(53)-y(17)))*(params(8)*params(8)*y(17)+params(8)*params(8)*y(17))))/(params(8)*y(17)*params(8)*y(17)*params(8)*y(17)*params(8)*y(17));
g1(4,53)=y(41)*(-params(8))/(params(8)*y(17)*params(8)*y(17));
g1(4,18)=y(39)*(-T(24));
g1(4,38)=1;
g1(4,39)=(-T(9));
g1(4,10)=T(22)*1/(params(8)*y(3));
g1(4,41)=T(21);
g1(4,48)=params(8);
g1(5,2)=y(45)*(-(T(23)*params(21)*y(24)*T(31)))+y(36)*(-(params(22)*y(31)*T(23)*T(1)*params(5)*params(21)*T(41)))+y(35)*(-(y(31)*T(25)*(1-params(5))*params(21)*T(1)*T(42)));
g1(5,17)=y(39)*(-T(24));
g1(5,18)=y(45)*(-(T(10)*T(45)))+y(39)*(-(y(17)*params(11)*getPowerDeriv(y(18),params(10),2)))+y(36)*(-(params(22)*y(31)*T(1)*params(5)*params(21)*T(4)*T(45)))+y(35)*(-(y(31)*(1-params(5))*params(21)*T(1)*T(2)*getPowerDeriv(y(18),(-params(5)),2)))-params(11)*getPowerDeriv(y(18),1+params(10),2)/(1+params(10));
g1(5,24)=T(46);
g1(5,31)=y(36)*(-(params(22)*T(1)*params(5)*params(21)*T(4)*T(23)))+y(35)*(-((1-params(5))*params(21)*T(1)*T(2)*T(25)));
g1(5,35)=(-(y(31)*(1-params(5))*params(21)*T(1)*T(2)*T(25)));
g1(5,36)=(-(params(22)*y(31)*T(1)*params(5)*params(21)*T(4)*T(23)));
g1(5,39)=(-(y(17)*T(24)));
g1(5,45)=(-(T(10)*T(23)));
g1(6,40)=1;
g1(7,4)=T(22)*y(13)*params(15)*y(22)*(-((-params(8))/(params(8)*y(4)*params(8)*y(4))));
g1(7,20)=y(44)*params(15)*y(56)*(-((-(((-(params(8)*y(20)))-params(8)*(y(55)-y(20)))*(params(8)*params(8)*y(20)+params(8)*params(8)*y(20))))/(params(8)*y(20)*params(8)*y(20)*params(8)*y(20)*params(8)*y(20))));
g1(7,55)=y(44)*params(15)*y(56)*(-((-params(8))/(params(8)*y(20)*params(8)*y(20))));
g1(7,22)=T(48);
g1(7,56)=y(44)*params(15)*(-(((-(params(8)*y(20)))-params(8)*(y(55)-y(20)))/(params(8)*y(20)*params(8)*y(20))));
g1(7,31)=y(46);
g1(7,38)=(-(1-T(8)));
g1(7,13)=T(22)*params(15)*y(22)*(-(1/(params(8)*y(4))));
g1(7,44)=T(26);
g1(7,45)=1;
g1(7,46)=(-(1-y(31)-T(8)));
g1(7,48)=(-(params(8)*(1-T(8))));
g1(8,33)=(-y(44));
g1(8,34)=T(27);
g1(8,44)=(-y(33));
g1(9,1)=T(22)*params(15)*y(13);
g1(9,4)=T(22)*y(13)*params(15)*(-(((-(params(8)*y(4)))-params(8)*(y(20)-y(4)))/(params(8)*y(4)*params(8)*y(4))));
g1(9,20)=T(48);
g1(9,22)=y(48)*(-(params(8)*(-(y(20)*params(15)))))+y(46)*y(20)*params(15)+y(38)*y(20)*params(15);
g1(9,38)=T(29);
g1(9,40)=(-1);
g1(9,13)=T(22)*T(30);
g1(9,44)=(-((-params(15))/params(8)));
g1(9,46)=T(29);
g1(9,48)=(-(params(8)*(-T(29))));
g1(10,46)=1;
g1(11,2)=y(45)*(-(T(5)*params(21)*(T(31)+y(2)*y(24)*T(43))))+y(36)*(-(params(22)*y(31)*T(5)*params(5)*params(21)*T(32)*T(41)))+y(35)*(-(y(31)*T(3)*(1-params(5))*params(21)*T(32)*T(42)));
g1(11,18)=T(46);
g1(11,24)=y(45)*(-(T(5)*params(21)*y(2)*y(2)*T(43)))+y(36)*(-(params(22)*y(31)*T(5)*T(4)*params(5)*params(21)*T(49)))+y(35)*(-(y(31)*T(3)*T(2)*(1-params(5))*params(21)*T(49)))+params(23)*y(69)*(-((1-params(8)*params(16))*1/y(24)*T(33)+exp((1-params(8)*params(16))*log(y(24)))*(1-params(8)*params(16))*(-1)/(y(24)*y(24))));
g1(11,31)=y(36)*(-(params(22)*T(5)*T(4)*params(5)*params(21)*T(32)))+y(35)*(-(T(3)*T(2)*(1-params(5))*params(21)*T(32)));
g1(11,35)=(-(y(31)*T(3)*T(2)*(1-params(5))*params(21)*T(32)));
g1(11,36)=(-(params(22)*y(31)*T(5)*T(4)*params(5)*params(21)*T(32)));
g1(11,45)=(-(T(5)*params(21)*y(2)*T(31)));
g1(11,49)=1;
g1(11,69)=params(23)*(-T(33));
g1(12,47)=1;
g1(13,41)=1;
g1(13,50)=1;
g1(13,70)=params(23)*(-(1-params(8)*params(16)));
g1(14,48)=1;
g1(15,15)=y(43);
g1(15,2)=y(46)*(-y(30));
g1(15,7)=T(22)*y(11)*(-((-((-1)/params(8)))/(y(28)*y(28))));
g1(15,28)=T(22)*y(11)*(-((-(T(36)*(y(28)+y(28))))/(y(28)*y(28)*y(28)*y(28))));
g1(15,58)=y(42)*(-((-((-1)/params(8)))/(y(58)*y(58))));
g1(15,29)=T(22)*y(11)*(-((-1)/(y(28)*y(28))));
g1(15,30)=y(46)*(-y(2));
g1(15,11)=T(22)*(-(T(36)/(y(28)*y(28))));
g1(15,42)=T(35);
g1(15,12)=T(22)*(-(1/params(8)));
g1(15,43)=T(34);
g1(15,46)=(-(y(2)*y(30)));
g1(16,2)=y(46)*(-(1/params(22)-1));
g1(16,28)=T(22)*y(11)*(-((-1)/(y(28)*y(28))));
g1(16,36)=1;
g1(16,11)=T(22)*(-(1/y(28)));
g1(16,46)=T(37);
g1(17,15)=y(43)*(-params(19));
g1(17,2)=y(48)*(-(params(8)*(-(1+T(6)*2*(y(30)-params(3))))))+y(46)*(-(y(28)-1-T(6)*2*(y(30)-params(3))))+y(38)*(1+T(6)*2*(y(30)-params(3)))+y(37)*(-params(8));
g1(17,28)=y(46)*(-y(2));
g1(17,30)=y(48)*(-(params(8)*(-(y(2)*params(19)))))+y(46)*(-(y(2)*(-params(19))))+params(19)*y(43)+y(38)*y(2)*params(19);
g1(17,37)=(-(y(2)*params(8)));
g1(17,38)=y(2)*(1+T(6)*2*(y(30)-params(3)));
g1(17,12)=T(22)*params(19)/params(8);
g1(17,43)=T(38);
g1(17,46)=(-(y(2)*(y(28)-1-T(6)*2*(y(30)-params(3)))));
g1(17,48)=(-(params(8)*(-(y(2)*(1+T(6)*2*(y(30)-params(3)))))));
g1(18,2)=y(36)*(-(params(22)*T(5)*T(1)*params(5)*params(21)*T(41)))+y(35)*(-(T(3)*(1-params(5))*params(21)*T(1)*T(42)));
g1(18,18)=y(36)*(-(params(22)*T(1)*params(5)*params(21)*T(4)*T(23)))+y(35)*(-((1-params(5))*params(21)*T(1)*T(2)*T(25)));
g1(18,20)=y(46);
g1(18,24)=y(36)*(-(params(22)*T(5)*T(4)*params(5)*params(21)*T(32)))+y(35)*(-(T(3)*T(2)*(1-params(5))*params(21)*T(32)));
g1(18,34)=1;
g1(18,35)=(-((1-params(5))*params(21)*T(1)*T(2)*T(3)));
g1(18,36)=(-(T(1)*params(5)*params(21)*T(4)*T(5)*params(22)));
g1(18,46)=y(20);
g1(19,46)=1;
g1(19,51)=1;
g1(19,71)=params(23)*(-(1-params(8)*params(16)));
g1(20,21)=(-y(44));
g1(20,33)=y(44)*(-(y(33)*(-((-((y(33)-(y(33)-1))*(y(33)+y(33))))/(y(33)*y(33)*y(33)*y(33))))-T(39)-T(39)));
g1(20,44)=T(40);
g1(20,52)=1;
g1(20,72)=params(23)*(-(1-params(8)*params(16)));
g1(21,21)=T(27);
g1(21,31)=1;
g1(22,14)=1;
g1(22,2)=(-(y(31)*T(3)*(1-params(5))*params(21)*T(1)*T(42)));
g1(22,18)=(-(y(31)*(1-params(5))*params(21)*T(1)*T(2)*T(25)));
g1(22,24)=(-(y(31)*T(3)*T(2)*(1-params(5))*params(21)*T(32)));
g1(22,31)=(-((1-params(5))*params(21)*T(1)*T(2)*T(3)));
g1(23,2)=(-(params(22)*y(31)*T(5)*T(1)*params(5)*params(21)*T(41)));
g1(23,18)=(-(params(22)*y(31)*T(1)*params(5)*params(21)*T(4)*T(23)));
g1(23,24)=(-(params(22)*y(31)*T(5)*T(4)*params(5)*params(21)*T(32)));
g1(23,29)=1;
g1(23,31)=(-(T(1)*params(5)*params(21)*T(4)*T(5)*params(22)));
g1(24,2)=(-(1+(y(30)-params(3))*params(8)));
g1(24,16)=1;
g1(24,30)=(-(y(2)*params(8)));
g1(25,2)=y(30)+T(7);
g1(25,17)=1;
g1(25,20)=(-(1-T(8)));
g1(25,22)=T(29);
g1(25,30)=y(2)*(1+T(6)*2*(y(30)-params(3)));
g1(26,14)=1;
g1(26,17)=(-T(9));
g1(26,18)=(-(y(17)*T(24)));
g1(27,15)=(-1);
g1(27,19)=1;
g1(27,22)=(-1);
g1(28,15)=(-1);
g1(28,17)=T(21);
g1(28,53)=1/(params(8)*y(17));
g1(28,26)=1;
g1(29,15)=1;
g1(29,28)=T(35);
g1(29,58)=(-((y(58)*(1/params(8)-params(3))-(y(59)-params(3)*y(58)+(y(58)-y(28))/params(8)))/(y(58)*y(58))));
g1(29,59)=(-(1/y(58)));
g1(30,15)=y(28)-1-(y(30)-params(3))*params(19);
g1(30,28)=T(34);
g1(30,58)=(-(1/params(8)));
g1(30,30)=T(38);
g1(30,60)=params(19)/params(8);
g1(31,15)=params(15)*y(56);
g1(31,20)=T(26);
g1(31,55)=params(15)*y(56)*(-(1/(params(8)*y(20))));
g1(31,21)=(-y(33));
g1(31,22)=(-((-params(15))/params(8)));
g1(31,56)=params(15)*(y(15)-(y(55)-y(20))/(params(8)*y(20)))-params(15)/params(8);
g1(31,33)=T(40);
g1(32,2)=(-(T(5)*params(21)*y(24)*T(31)));
g1(32,18)=(-(T(10)*T(23)));
g1(32,20)=1;
g1(32,24)=(-(T(5)*params(21)*y(2)*T(31)));
g1(33,2)=(-(y(30)*y(28)-y(30)-T(7)+y(29)/params(22)-y(29)));
g1(33,20)=(-(1-y(31)-T(8)));
g1(33,22)=T(29);
g1(33,23)=1;
g1(33,28)=(-(y(2)*y(30)));
g1(33,29)=T(37);
g1(33,30)=(-(y(2)*(y(28)-1-T(6)*2*(y(30)-params(3)))));
g1(33,31)=y(20);
g1(33,32)=1;
g1(34,25)=1;
g1(35,2)=(-(params(8)*(-(y(30)+T(7)))));
g1(35,17)=params(8);
g1(35,20)=(-(params(8)*(1-T(8))));
g1(35,22)=(-(params(8)*(-T(29))));
g1(35,27)=1;
g1(35,30)=(-(params(8)*(-(y(2)*(1+T(6)*2*(y(30)-params(3)))))));
g1(36,5)=(-(exp((1-params(8)*params(16))*log(y(5)))*(1-params(8)*params(16))*1/y(5)));
g1(36,24)=1;
g1(37,6)=(-(1-params(8)*params(16)));
g1(37,26)=1;
g1(38,8)=(-(1-params(8)*params(16)));
g1(38,32)=1;
g1(39,9)=(-(1-params(8)*params(16)));
g1(39,33)=1;

end
